Foreman - Bug #26384

Clean OS and fact icons and provide better API for plugins

03/18/2019 10:00 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Web Interface
Target version:
Difficulty: Fixed in Releases: 1.24.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6585
Description

OS icon is rendered at 16x16, for some reason we store them mostly in 21x21 but there are other sizes as well. We should probably

use the correct size everywhere.
Related issues:
Related to Katello - Bug #27434: Use icon_path instead origin to override fac...

Related to Ansible - Bug #27435: Use icon_path instead origin to override fac...

Related to Salt - Bug #27436: Use icon_path instead origin to override fact i...
Related to Foreman - Bug #27533: Use the new and official Red Hat logo
Related to Chef - Bug #27626: Fix icon path for facts

Related to Foreman - Bug #28424: Puppet icon is missing as source in config r...

Closed
Closed
Closed
Closed
Closed
Closed

Associated revisions

Revision 0eeb78e0 - 08/05/2019 08:44 AM - Lukas Zapletal

Fixes #26384 - cleaned os icons and new RH logo

History

#1 - 03/18/2019 01:27 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/6585 added

#2 - 07/25/2019 08:41 AM - Lukas Zapletal

- Subject changed from Operating system icons are various sizes to Clean OS and fact icons and provide better API for plugins

Let's go further and improve how plugins can override fact icons.

#3 - 07/25/2019 08:42 AM - Lukas Zapletal

- Related to Bug #27434: Use icon_path instead origin to override fact icons added

#4 - 07/25/2019 08:44 AM - Lukas Zapletal

- Related to Bug #27435: Use icon_path instead origin to override fact icons added

#5 - 07/25/2019 08:47 AM - Lukas Zapletal

- Related to Bug #27436: Use icon_path instead origin to override fact icons added

#6 - 08/05/2019 08:44 AM - The Foreman Bot
- Fixed in Releases 1.24.0 added
#7 - 08/05/2019 09:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset 0eeb78e0f2a20aa1d3b2db988803aaf6aacelfbe.

#8 - 08/07/2019 10:44 AM - Lukas Zapletal
- Related to Bug #27533: Use the new and official Red Hat logo added

#9 - 08/14/2019 10:43 AM - Lukas Zapletal
- Related to Bug #27626: Fix icon path for facts added

#10 - 12/09/2019 08:48 AM - Tomer Brisker

- Related to Bug #28424: Puppet icon is missing as source in config reports added
